Bug 1731233 - 4.1 etcd clusters are reporting a down "etcd" service, but no alert is firing on the cluster
Summary: 4.1 etcd clusters are reporting a down "etcd" service, but no alert is firing...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.0
Assignee: Clayton Coleman
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-18 17:28 UTC by Clayton Coleman
Modified: 2019-10-16 06:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-16 06:29:52 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-monitoring-operator pull 400 None None None 2019-07-18 17:29:01 UTC
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:30:07 UTC

Description Clayton Coleman 2019-07-18 17:28:23 UTC
This bug was initially created as a copy of Bug #1730413

I am copying this bug because: we need to get a fix in 4.2



A number of clusters in the wild on 4.1.z (15-20?) are reporting one etcd member down via the `up` metric, but no alerts related to etcd failure are being reported.  Other clusters with one etcd member reported down ARE reporting alerts related to a bad member:

80f5da7e-7527-41d2-8d6e-774b388a42a4 reports the following alerts:

KubeDeploymentReplicasMismatch, KubePodNotReady, TargetDown, Watchdog

and two down services

up{_id="80f5da7e-7527-41d2-8d6e-774b388a42a4",endpoint="etcd-metrics",instance="172.16.0.34:9979",job="etcd",monitor="prometheus",namespace="openshift-etcd",pod="etcd-member-host-172-16-0-34",prometheus="openshift-monitoring/k8s",prometheus_replica="prometheus-telemeter-0",replica="$(HOSTNAME)",service="etcd"}	0

up{_id="80f5da7e-7527-41d2-8d6e-774b388a42a4",endpoint="metrics",instance="172.16.0.40:9101",job="sdn",monitor="prometheus",namespace="openshift-sdn",pod="sdn-wtl58",prometheus="openshift-monitoring/k8s",prometheus_replica="prometheus-telemeter-0",replica="$(HOSTNAME)",service="sdn"}

This is a UPI cluster at 4.1.4.  We may have a scheduling issue with the etcd proxy, but more data needs to be gathered.

Comment 1 ge liu 2019-08-19 06:04:49 UTC
Verified with 4.2.0-0.nightly-2019-08-18-222019

etcdMembersDown
etcd cluster "etcd": members are down (1).
	Pending
Since 
less than a minute ago
	Critical

Comment 2 errata-xmlrpc 2019-10-16 06:29:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.